﻿#region Apache 2.0 License header

//   Copyright 2012 Lesley van Zijl
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License. 

#endregion

using System;
using System.Collections.Generic;

namespace Tests.Helpers
{
    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public class GenericTestClass<T>
    {
        private bool Method()
        {
            return true;
        }

        private Type GetGenericType()
        {
            return typeof (T);
        }

        private Type GenericMethod<V>()
        {
            return typeof (V);
        }

        private IEnumerable<Type> GenericMethod<V, U>()
        {
            var list = new List<Type>();
            list.Add(typeof (V));
            list.Add(typeof (U));

            return list;
        }

        private void MethodClean<V>()
        {
        }
    }
}